function w=AS_MPLS(data,windowWeight)
% the average spectrum is used as the input vector
% use the MPLS to get the  weight vector

% windowWeight for mpls parameter setting
if nargin ==1
    windowWeight=50;
end

%% calculate the average spectrum
for j=1:size(data,2)
    ave_intensity(j)=mean(data(:,j));
end

% average spectrum is used as the input vector to get the weight vector by
% using MPLS
Xbg=Morphology(ave_intensity,windowWeight);
m = length(Xbg);
w = zeros(m, 1);
repeat = 1;
i=1;
Z=[];
xbg_reversel=Xbg(m:-1:1);
temp1=ones(m,1);
temp1(find([1;diff(Xbg, 1)]==0))=0;
temp2=ones(m,1);
temp2(find([1;diff(xbg_reversel, 1)]==0))=0;
temp2_reversel=temp2(m:-1:1);
temp=zeros(m,1);
temp3=temp1+temp2_reversel;
if temp3(2)==0
    temp3(1)=1;
end
temp(find(temp3==1))=1;
index=find(temp==1);
w = zeros(m, 1);
for i=1:floor(length(index)/2)-1
    [M,N]=min(Xbg(index(2*(i-1)+2):index(2*(i)+1)));
    w(index(2*(i-1)+2)+N-1)=1;
end
w(m)=5;
w(1)=5;



